Subject: Re: bug#56012: guix pull fails. cannot build guix-package-cache.drv.

From: "(" <[email-masked]>
Date: Thu, 16 Jun 2022 07:16:41 +0100

Hi vidak,

On 16 June 2022 06:28:45 BST, [email-masked] wrote:
>hey all.
>
>vidak here.
>
>i cannot get `guix pull` to work for me.
>
>i am having issues getting the package-cache.drv to build.
>
>i was homeless, and unable to update my workstation for about... a
>month?

Oh no, I hope you're okay <3

>
>commit -- 3b50b327f7cf3226a0e37bc6afa1e921c9c075f7
>
>```
>~ $ cat
>/var/log/guix/drvs/zk/1hgixlv3gccgbriad7nr2xyla8bbzx-guix-package-cache.drv
>(repl-version 0 1 1)
>Generating package cache for
>'/gnu/store/1mzdd7rf9r34xiibcs1gpjsf7jkh6a0r-profile'...
>(exception unbound-variable (value #f) (value "Unbound variable: ~S")
>(value (libpng-1.2)) (value #f))
>```
>
>i can `guix pull --commit` to before 31-05-2022, but i cannot seem to
>pull to anything later than that date.

This has been reported a few times ;) That was the date when the libpng v1.2 package was removed. However, the guix-gaming channel still references it, so you'll need to remove or patch it for now I guess...

(I think the reason this is such a commonly reported problem is that that exception didn't even give a location! We really should improve the error messages in Guile and Guix... I'll make the first 'papercut' issue report on it.)